#pragma once

#include <boost/shared_ptr.hpp>
#include "event/ContextEventListener.h"

class ContextEventListenerInfo
{

private:
    ContextEventListenerPtr listener;
    bool weak;   

public:
    ContextEventListenerPtr getListener(); 

    bool isWeak(); 

    ContextEventListenerInfo(ContextEventListenerPtr listener, bool weak); 

};
